package ostate.discriptions;

import ostate.annotations.State;
import ostate.IState;

/**
 * Discripror of a Simple State.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */
public class SimpleStateDiscriptor<S> extends StateDiscriptor<S> {

    public SimpleStateDiscriptor(String name, Class<? extends IState<S>> parent) {
        super(name, parent);
    }

    public SimpleStateDiscriptor(State state) {
        this(state.name(), (Class<? extends IState<S>>) state.parent());
    }
}
