package ostate.exceptions;

/**
 * Method was invoked in inproper situation. Read the message
 * string for more information.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class InvalidMethodCallException extends RuntimeException {

    public InvalidMethodCallException() {
    }

    public InvalidMethodCallException(String message) {
        super(message);
    }

    public InvalidMethodCallException(String message, Throwable cause) {
        super(message, cause);
    }

    public InvalidMethodCallException(Throwable cause) {
        super(cause);
    }
}
