package ostate.util.properties;

import java.util.Set;

/**
 * Properties to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public interface Properties {

    <V> V getPropertyValue(Property<V> property);

    <V> void setPropertyValue(Property<V> property, V value);

    boolean hasProperty(Property<?> property);

    Set<Property> getPropertySet();
}
