package test0.states;

import ostate.annotations.Handler;
import ostate.annotations.State;
import ostate.Event;
import ostate.IStateMachine;
import test0.events.E;
import test0.AI;

/**
 * A to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

@State (
        name = "A"
)
public class A extends AbstractState {

    public A(IStateMachine<AI> sm) {
        super(sm);
    }

    @Handler public void handle(Event e) {
        sm.changeState(B.class, null, new Runnable() {
            public void run() {
                System.out.println("A -> B");
            }
        });
    }
}
